import { ElementRef, AfterViewInit } from "@angular/core";
import { IgxMonthsViewComponent } from "../months-view/months-view.component";
import { IgxYearsViewComponent } from "../years-view/years-view.component";
import { IgxDaysViewComponent } from "../days-view/days-view.component";
import { IgxCalendarBaseDirective } from "../calendar-base";
import * as i0 from "@angular/core";
export declare class IgxMonthPickerComponent extends IgxCalendarBaseDirective implements AfterViewInit {
    /**
     * Sets/gets the `id` of the month picker.
     * If not set, the `id` will have value `"igx-month-picker-0"`.
     */
    id: string;
    /**
     * The default css class applied to the component.
     *
     * @hidden
     */
    styleClass: boolean;
    /**
     * @hidden
     */
    monthsView: IgxMonthsViewComponent;
    /**
     * @hidden
     */
    dacadeView: IgxYearsViewComponent;
    /**
     * @hidden
     */
    daysView: IgxDaysViewComponent;
    /**
     * @hidden
     */
    yearsBtn: ElementRef;
    /**
     * @hidden
     */
    previousPage(event?: KeyboardEvent): void;
    /**
     * @hidden
     */
    nextPage(event?: KeyboardEvent): void;
    /**
     * @hidden
     */
    activeViewDecadeKB(event: KeyboardEvent): void;
    /**
     * @hidden
     */
    activeViewDecade(): void;
    /**
     * @hidden
     */
    changePageKB(event: KeyboardEvent, next?: boolean): void;
    /**
     * @hidden
     */
    selectYear(event: Date): void;
    /**
     * @hidden
     */
    selectMonth(event: Date): void;
    /**
     * Selects a date.
     * ```typescript
     *  this.monthPicker.selectDate(new Date(`2018-06-12`));
     * ```
     */
    selectDate(value: Date): Date;
    /**
     * @hidden
     */
    getNextYear(): number;
    /**
     * @hidden
     */
    getPreviousYear(): number;
    /**
     * @hidden
     */
    updateDate(date: Date): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxMonthPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxMonthPickerComponent, "igx-month-picker", never, { "id": { "alias": "id"; "required": false; }; }, {}, never, never, true, never>;
}
